VTK: vtkXdmfHeavyData Class Reference

| VTK 9.3.1

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
vtkXdmfHeavyData Class Reference

`#include <vtkXdmfHeavyData.h>`

## Public Member Functions
| vtkXdmfHeavyData (vtkXdmfDomain *domain, vtkAlgorithm *reader)
| ~vtkXdmfHeavyData ()
vtkDataObject * | ReadData (xdmf2::XdmfGrid *xmfGrid, int blockId=-1)
vtkDataObject * | ReadData ()

## Static Public Member Functions
static int | GetVTKCellType (XdmfInt32 topologyType)
static int | GetNumberOfPointsPerCell (int vtk_cell_type)

## Public Attributes
int | Piece
int | NumberOfPieces
int | GhostLevels
int | Extents [6]
int | Stride [3]
XdmfFloat64 | Time

## Detailed Description

Definition at line 26 of file vtkXdmfHeavyData.h.

## Constructor & Destructor Documentation

## ◆ vtkXdmfHeavyData()

vtkXdmfHeavyData::vtkXdmfHeavyData | ( | vtkXdmfDomain * | domain,
|  | vtkAlgorithm * | reader
| ) |  |

## ◆ ~vtkXdmfHeavyData()

vtkXdmfHeavyData::~vtkXdmfHeavyData | ( |  | ) |

## Member Function Documentation

## ◆ ReadData() [1/2]

vtkDataObject* vtkXdmfHeavyData::ReadData | ( | xdmf2::XdmfGrid * | xmfGrid,
|  | int | blockId = `-1`
| ) |  |

## ◆ ReadData() [2/2]

vtkDataObject* vtkXdmfHeavyData::ReadData | ( |  | ) |

## ◆ GetVTKCellType()

static int vtkXdmfHeavyData::GetVTKCellType | ( | XdmfInt32 | topologyType | ) |
| static

## ◆ GetNumberOfPointsPerCell()

static int vtkXdmfHeavyData::GetNumberOfPointsPerCell | ( | int | vtk_cell_type | ) |
| static

## Member Data Documentation

## ◆ Piece

int vtkXdmfHeavyData::Piece

Definition at line 34 of file vtkXdmfHeavyData.h.

## ◆ NumberOfPieces

int vtkXdmfHeavyData::NumberOfPieces

Definition at line 35 of file vtkXdmfHeavyData.h.

## ◆ GhostLevels

int vtkXdmfHeavyData::GhostLevels

Definition at line 36 of file vtkXdmfHeavyData.h.

## ◆ Extents

int vtkXdmfHeavyData::Extents[6]

Definition at line 37 of file vtkXdmfHeavyData.h.

## ◆ Stride

int vtkXdmfHeavyData::Stride[3]

Definition at line 39 of file vtkXdmfHeavyData.h.

## ◆ Time

XdmfFloat64 vtkXdmfHeavyData::Time

Definition at line 40 of file vtkXdmfHeavyData.h.

The documentation for this class was generated from the following file:

- IO/Xdmf2/vtkXdmfHeavyData.h